Ravens PHP Scripts

Zen Cart Multiple Cross-Site Request Forgery Vulnerabilities
Date: Friday, February 20, 2009 @ 19:28:50 CET
Topic: Security


SECUNIA ADVISORY ID: SA33988

VERIFY ADVISORY: http://secunia.com/advisories/33988/

DESCRIPTION: mckt has discovered some vulnerabilities in Zen Cart, which can be exploited by malicious people to conduct cross-site request forgery attacks. These vulnerabilities are confirmed in version 1.3.8. Other versions may also be affected.



The vulnerability is caused due to the application allowing users to perform certain actions via HTTP requests without performing any validity checks to verify the request. This can be exploited to e.g. modify user accounts, delete product categories, or create discount coupons by enticing a logged in user to visit a malicious web page.

SOLUTION: Do not visit untrusted web sites while logged on to the application.

PROVIDED AND/OR DISCOVERED BY: mckt






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=3557